
Getting Started - Bug # 4327

Status: Resolved Priority: Should have
Author: ziyad saeed Category: Content / Instructions
Created: 2009-08-26 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Subject: Object "F3\Blog\Domain\Model\Blog" is not registered
Description

As per Getting Started guide the BlogController's CreateAction is giving an exception

$blog = $this->objectFactory->create('F3\Blog\Domain\Model\Blog');

The exception is Object "F3\Blog\Domain\Model\Blog" is not registered

Related issues:
related to TYPO3.Flow - Bug # 4454: FileMonitor does not detect new files Resolved 2009-09-04

History
#1 - 2009-09-04 11:45 - Robert Lemke
- Target version changed from 1.0.0 alpha 3 to 1.0.0 alpha 4

#2 - 2009-09-04 13:45 - Karsten Dambekalns
- Category set to Content / Instructions
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

I saw this today as well, but it worked on the next call (after removing the StandardController). So I suspect this to be a cacheing issue, it seems as if
the file monitoring sometimes bails out.

Does it work for you if you manually clear the cache(s)?

#3 - 2009-09-04 18:00 - ziyad saeed

manually clearing the cache works. the exception is now gone

#4 - 2009-09-07 11:51 - Robert Lemke
- Status changed from Needs Feedback to Resolved
